FUSE Mediation Router
  1. FUSE Mediation Router
  2. MR-532

feature.xml file for Camel has unresolved placeholder in camel-cxf feature

    Details

    • Type: Task Task
    • Status: Resolved Resolved
    • Priority: Critical Critical
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 2.8.0-fuse-01-06
    • Component/s: None
    • Labels:
      None
    • Similar Issues:
      Show 7 results 

      Description

      Willem can you take a look at this. Its important that the Camel 2.8 branch works fine. The camel-cxf feature is broken.

      eg as you can see in the bundle entry, then $

      {jaxws.api.version} is not resolved.
      <bundle dependency="true">mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.jaxws-api-${jaxws.api.version}

      /1.8.0</bundle>

      There is 3 different API versions in the maven repo
      http://repo2.maven.org/maven2/org/apache/servicemix/specs/

      At Apache, we are now using the feature of Apache CXF directly, so the camel-cxf is much smaller
      <repository>mvn:org.apache.cxf.karaf/apache-cxf/2.4.2/xml/features</repository>

        Activity

        Show
        Claus Ibsen
        added a comment - It looks like its the 2.2 API being in use for CXF 2.4.2 http://repo2.maven.org/maven2/org/apache/cxf/karaf/apache-cxf/2.4.2/apache-cxf-2.4.2-features.xml This problem causes camel-cxf to not work in OSGi http://ci.fusesource.com/hudson/view/Camel/job/camel-2.8.x-fuse-checkin/lastCompletedBuild/testReport/org.apache.camel.itest.osgi.cxf.blueprint/CxfBlueprintRouterTest/testRouter/
        Hide
        Claus Ibsen
        added a comment -

        I have committed a fix by using 2.2 as a hardcoded value so the bundle entry can be resolved. And camel-cxf being installed in Fuse ESB

        Show
        Claus Ibsen
        added a comment - I have committed a fix by using 2.2 as a hardcoded value so the bundle entry can be resolved. And camel-cxf being installed in Fuse ESB
        Hide
        Willem Jiang
        added a comment -

        Hi Claus,

        This error is caused the merge of patch

        r1166126 | ffang | 2011-09-07 19:23:38 +0800 (三, 07 9 2011) | 1 line

        [CAMEL-4423]use geronimo-jaxws_2.2_spec 1.1 bundle

        I will revert the patch on the camel 2.8.x-fuse branch which is not a bug fix.

        Show
        Willem Jiang
        added a comment - Hi Claus, This error is caused the merge of patch r1166126 | ffang | 2011-09-07 19:23:38 +0800 (三, 07 9 2011) | 1 line [CAMEL-4423] use geronimo-jaxws_2.2_spec 1.1 bundle I will revert the patch on the camel 2.8.x-fuse branch which is not a bug fix.
        Hide
        Willem Jiang
        added a comment -

        Reverted the patch of CAMEL-4423 and the fixing of Claus.
        Committed into Camel 2.8.x-fuse branch with revision 7a6126dc496e6e75738e8d93f112393b29d86c50

        Show
        Willem Jiang
        added a comment - Reverted the patch of CAMEL-4423 and the fixing of Claus. Committed into Camel 2.8.x-fuse branch with revision 7a6126dc496e6e75738e8d93f112393b29d86c50

          People

          • Assignee:
            Willem Jiang
            Reporter:
            Claus Ibsen
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: